Bug 1428498 - [RFE] Allow to search VMs by specific host they are pinned to.
Summary: [RFE] Allow to search VMs by specific host they are pinned to.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: unspecified
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ovirt-4.2.0
: 4.2.0
Assignee: Andrej Krejcir
QA Contact: Artyom
URL:
Whiteboard:
Depends On:
Blocks: 1548826
TreeView+ depends on / blocked
 
Reported: 2017-03-02 16:57 UTC by Ashton Davis
Modified: 2021-06-10 12:01 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
You can now view virtual machines that are pinned to a host, even when they are shut down.
Clone Of:
Environment:
Last Closed: 2018-05-15 17:41:09 UTC
oVirt Team: SLA
Target Upstream Version:
mavital: testing_plan_complete+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2018:1488 0 None None None 2018-05-15 17:42:35 UTC
oVirt gerrit 80870 0 master MERGED core: Add query to get all VMs pinned to a host 2020-11-19 17:54:34 UTC
oVirt gerrit 82538 0 master MERGED webadmin: VM table in Host subtab shows pinned VMs 2020-11-19 17:54:33 UTC

Description Ashton Davis 2017-03-02 16:57:46 UTC
Description of problem:
Presently, if a VM if offline, there's no way to know what host it "lives" on (or was last on). This is especially pertinent to VMs created on local disk (current VDSM hook, future RHV-M functionality). 

Use Case:
In an environment where VMs are pinned to individual hosts, knowing what VMs lived on that host is necessary.
For example: There may be ~30-40 offline VMs at any given time for whatever reason. A host must be taken offline for maintenance, adding another ~15 VMs to the offline VMs list. Once the host is back online, there is currently no simple way to correlate which VMs were running on it before they were shut down.

Ideal outcome:
When viewing "Virtual Machines" tab of a host, show offline VMs.
In Virtual Machines view, show last used host (perhaps in gray/italics, to differentiate?) instead of a blank entry in the table.

Comment 7 Andrej Krejcir 2017-08-24 13:20:58 UTC
I added a design page to ovirt-site to discuss how this RFE can be added to REST API and webadmin. Here is the pull request: 

https://github.com/oVirt/ovirt-site/pull/1169

Comment 8 Artyom 2018-01-10 13:54:52 UTC
Verified on ovirt-engine-webadmin-portal-4.2.1-0.2.el7.noarch

Comment 11 errata-xmlrpc 2018-05-15 17:41:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:1488

Comment 12 Franta Kust 2019-05-16 13:03:18 UTC
BZ<2>Jira Resync


Note You need to log in before you can comment on or make changes to this bug.